import { baseRequest } from '@/utils/request'
const request = (url, ...arg) => baseRequest(`/openGovernment/ogWorkAnnualReport/` + url, ...arg)
export default {
	// 工作年报文件管理
	annualReportPage(data) {
		return request('page', data, 'get')
	},
	//启用禁用delete
	annualReportType(data) {
		return request('enableAndDisable', data, 'post')
	},
	//add
	annualReportAdd(data) {
		return request('add', data, 'post')
	},
	//view
	annualReportView(data) {
		return request('detail', data, 'get')
	},
	// edit
	annualReportEdit(data) {
		return request('edit', data, 'post')
	},
	// 删除
	annualReportDel(data) {
		return request('delete', data, 'post')
	}
}
